<?php
if($_POST)
{
	$to_Email   	= ""; 
	$subject        = 'Message From Mayan Builders Website'; 
	
	
	//check if its an ajax request, exit if not
    if(!isset($_SERVER['HTTP_X_REQUESTED_WITH']) AND strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) != 'xmlhttprequest') {
	
		//exit script outputting json data
		$output = json_encode(
		array(
			'type'=>'error', 
			'text' => 'Request must come from Ajax'
		));
		
		die($output);
    } 
	
	//check $_POST vars are set, exit if any missing
	if(!isset($_POST["userName"]) || !isset($_POST["userEmail"]) || !isset($_POST["userMessage"]))
	{
		$output = json_encode(array('type'=>'error', 'text' => 'Input fields are empty!'));
		die($output);
	}

	//Sanitize input data using PHP filter_var().
	$user_Name        = filter_var($_POST["userName"], FILTER_SANITIZE_STRING);
	
	$user_Email       = filter_var($_POST["userEmail"], FILTER_SANITIZE_EMAIL);
	
	$user_Telephone =" ";
	
	if (isset($_POST["userTelephone"])){
	$user_Telephone   = filter_var($_POST["userTelephone"], FILTER_SANITIZE_EMAIL);	
	$user_Purpose        = filter_var($_POST["userPurpose"], FILTER_SANITIZE_STRING);
	}
	
	$user_Message     = filter_var($_POST["userMessage"], FILTER_SANITIZE_STRING);
	
	//additional php validation
	if(strlen($user_Name)<3) // If length is less than 3 it will throw an HTTP error.
	{
		$output = json_encode(array('type'=>'error', 'text' => 'Name is too short or empty!'));
		die($output);
	}
	if(!filter_var($user_Email, FILTER_VALIDATE_EMAIL)) //email validation
	{
		$output = json_encode(array('type'=>'error', 'text' => 'Please enter a valid email!'));
		die($output);
	}
	
	if(strlen($user_Message)<5) //check emtpy message
	{
		$output = json_encode(array('type'=>'error', 'text' => 'Too short message! Please enter something.'));
		die($output);
	}
	
			$message = '
			<html>
			<head>
			  <title>Message from '. $user_Name .'</title>
			</head>
			<body>
			  <table style="width: 500px; font-family: arial; font-size: 14px;" border="1">
				<tr style="height: 32px;">
				  <th align="right" style="width:150px; padding-right:5px;">Name:</th>
				  <td align="left" style="padding-left:5px; line-height: 20px;">'. $user_Name .'</td>
				</tr>
				
				<tr style="height: 32px;">
				  <th align="right" style="width:150px; padding-right:5px;">Phone: </th>
				  <td align="left" style="padding-left:5px; line-height: 20px;">'. $user_Telephone .'</td>
				</tr>
				<tr style="height: 32px;">
				  <th align="right" style="width:150px; padding-right:5px;">Email:</th>
				  <td align="left" style="padding-left:5px; line-height: 20px;">'. $user_Email .'</td>
				</tr>
				<tr style="height: 32px;">
				  <th align="right" style="width:150px; padding-right:5px;">Purpose:</th>
				  <td align="left" style="padding-left:5px; line-height: 20px;">'. $user_Purpose .'</td>
				</tr>
				<tr style="height: 32px;">
				  <th align="right" style="width:150px; padding-right:5px;">Message:</th>
				  <td align="left" style="padding-left:5px; line-height: 20px;">'. $user_Message .'</td>
				</tr>
			  </table>
            </body>
		   </html>
			';
            
			$headers  = 'MIME-Version: 1.0' . "\r\n";
			$headers .= 'Content-type: text/html; charset=utf-8' . "\r\n";
			$headers .= 'From: ' . $user_Email . "\r\n";
            $sentMail = @mail($to_Email, $subject, $message, $headers); 
	
	if(!$sentMail)
	{
		$output = json_encode(array('type'=>'error', 'text' => 'Could not send mail! Please check your PHP mail configuration.'));
		die($output);
	}else{
		$output = json_encode(array('type'=>'message', 'text' => 'Hi '.$user_Name.', thank you for contacting us. We will get back with you soon!'));
		die($output);
	}
}
?>